Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class AsyncWSHumanTaskHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AsyncWSHumanTaskHandler

All Implemented Interfaces:
  WorkItemHandler

Deprecated.

    @Deprecated
    public class AsyncWSHumanTaskHandler

extends Object
implements WorkItemHandler

Constructor Summary
`AsyncWSHumanTaskHandler()` Deprecated.
`AsyncWSHumanTaskHandler(AsyncTaskService client)` Deprecated.
`AsyncWSHumanTaskHandler(AsyncTaskService client, KnowledgeRuntime session)` Deprecated.
`AsyncWSHumanTaskHandler(AsyncTaskService client, KnowledgeRuntime session, OnErrorAction action)` Deprecated.
`AsyncWSHumanTaskHandler(AsyncTaskService client, OnErrorAction action)` Deprecated.

Method Summary
`void` | `abortWorkItem(WorkItem workItem, WorkItemManager manager)` Deprecated. The given work item should be aborted.
`void` | `connect()` Deprecated.
`void` | `dispose()` Deprecated.
`void` | `executeWorkItem(WorkItem workItem, WorkItemManager manager)` Deprecated. The given work item should be executed.
`ContentMarshallerContext` | `getMarshallerContext()` Deprecated.
`void` | `setAction(OnErrorAction action)` Deprecated.
`void` | `setClient(AsyncTaskService client)` Deprecated.
`void` | `setConnection(String ipAddress, int port)` Deprecated.
`void` | `setManager(WorkItemManager manager)` Deprecated.
`void` | `setMarshallerContext(ContentMarshallerContext marshallerContext)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncWSHumanTaskHandler

    public AsyncWSHumanTaskHandler()

  Deprecated.

### AsyncWSHumanTaskHandler

    public AsyncWSHumanTaskHandler(AsyncTaskService client)

  Deprecated.

### AsyncWSHumanTaskHandler

    public AsyncWSHumanTaskHandler(AsyncTaskService client,
                                   KnowledgeRuntime session)

  Deprecated.

### AsyncWSHumanTaskHandler

    public AsyncWSHumanTaskHandler(AsyncTaskService client,
                                   OnErrorAction action)

  Deprecated.

### AsyncWSHumanTaskHandler

    public AsyncWSHumanTaskHandler(AsyncTaskService client,
                                   KnowledgeRuntime session,
                                   OnErrorAction action)

  Deprecated.

Method Detail

### getMarshallerContext

    public ContentMarshallerContext getMarshallerContext()

  Deprecated.

### setMarshallerContext

    public void setMarshallerContext(ContentMarshallerContext marshallerContext)

  Deprecated.

### setConnection

    public void setConnection(String ipAddress,
                              int port)

  Deprecated.

### setClient

    public void setClient(AsyncTaskService client)

  Deprecated.

### setAction

    public void setAction(OnErrorAction action)

  Deprecated.

### connect

    public void connect()

  Deprecated.

### setManager

    public void setManager(WorkItemManager manager)

  Deprecated.

### executeWorkItem

    public void executeWorkItem(WorkItem workItem,
                                WorkItemManager manager)

  Deprecated.
  Description copied from interface: `WorkItemHandler`
  The given work item should be executed.

  Specified by:
    `executeWorkItem` in interface `WorkItemHandler`
  Parameters:
    `workItem` - the work item that should be executed
    `manager` - the manager that requested the work item to be executed

### dispose

    public void dispose()
                 throws Exception

  Deprecated.
  Throws:
    `Exception`

### abortWorkItem

    public void abortWorkItem(WorkItem workItem,
                              WorkItemManager manager)

  Deprecated.
  Description copied from interface: `WorkItemHandler`
  The given work item should be aborted.

  Specified by:
    `abortWorkItem` in interface `WorkItemHandler`
  Parameters:
    `workItem` - the work item that should be aborted
    `manager` - the manager that requested the work item to be aborted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.